- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/OS-2.3.5/OS/applications/amplClient/OSAmplClient.cpp File Reference

`#include "OSCoinSolver.h"`
`#include "OSConfig.h"`
`#include "OSnl2osil.h"`
`#include "OSiLReader.h"`
`#include "OSrLReader.h"`
`#include "OSiLWriter.h"`
`#include "OSrLWriter.h"`
`#include "OSInstance.h"`
`#include "OSResult.h"`
`#include "OSOption.h"`
`#include "OSoLReader.h"`
`#include "OSoLWriter.h"`
`#include "OSFileUtil.h"`
`#include "OSDefaultSolver.h"`
`#include "OSSolverAgent.h"`
`#include "OShL.h"`
`#include "OSErrorClass.h"`
`#include "CoinError.hpp"`
`#include "OSOptionsStruc.h"`
`#include <sstream>`
`#include "CoinHelperFunctions.hpp"`
`#include <iostream>`
`#include <asl.h>`

Include dependency graph for OSAmplClient.cpp:

Go to the source code of this file.

## Defines
#define | MAXCHARS 5000
## Typedefs
typedef yy_buffer_state * | YY_BUFFER_STATE
## Functions
YY_BUFFER_STATE | osss_scan_string (const char *osss, void *scanner)
void | setyyextra (osOptionsStruc *osoptions, void *scanner)
int | ossslex (void *scanner)
int | ossslex_init (void **ptr)
int | ossslex_destroy (void *scanner)
void | getAmplClientOptions (char *options, std::string *solverName, std::string *optionFile, std::string *serviceLocation)
int | main (int argc, char **argv)

## Define Documentation

#define MAXCHARS 5000

Definition at line 118 of file OSAmplClient.cpp.

Referenced by main().

## Typedef Documentation

typedef struct yy_buffer_state* YY_BUFFER_STATE

Definition at line 120 of file OSAmplClient.cpp.

## Function Documentation

YY_BUFFER_STATE osss_scan_string | ( | const char * | osss,
|  | void * | scanner |
| ) |  |  |

Referenced by getAmplClientOptions(), and main().

void setyyextra | ( | osOptionsStruc * | osoptions,
|  | void * | scanner |
| ) |  |  |

Definition at line 3006 of file OSParseosss.cpp.

References osoptions, and osssset_extra().

Referenced by getAmplClientOptions(), and main().

int ossslex | ( | void * | scanner | ) |

Referenced by getAmplClientOptions(), and main().

int ossslex_init | ( | void ** | ptr | ) |

Definition at line 2834 of file OSParseosss.cpp.

References osssalloc(), and yy_init_globals().

Referenced by getAmplClientOptions(), and main().

int ossslex_destroy | ( | void * | scanner | ) |

Definition at line 2925 of file OSParseosss.cpp.

References osss_delete_buffer(), osssfree(), ossspop_buffer_state(), yyguts_t::yy_buffer_stack, YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, yy_init_globals(), and yyguts_t::yy_start_stack.

Referenced by getAmplClientOptions(), and main().

void getAmplClientOptions | ( | char * | options,
|  | std::string * | solverName,
|  | std::string * | optionFile,
|  | std::string * | serviceLocation |
| ) |  |  |

Definition at line 599 of file OSAmplClient.cpp.

References osOptionsStruc::browser, osOptionsStruc::configFile, ErrorClass::errormsg, osOptionsStruc::gamsControlFile, osOptionsStruc::insList, osOptionsStruc::invokeHelp, osOptionsStruc::mpsFile, osOptionsStruc::nlFile, osOptionsStruc::osil, osOptionsStruc::osilFile, osOptionsStruc::osol, osOptionsStruc::osolFile, osoptions, osOptionsStruc::osplInputFile, osOptionsStruc::osplOutputFile, osOptionsStruc::osrl, osOptionsStruc::osrlFile, osss_scan_string(), ossslex(), ossslex_destroy(), ossslex_init(), scanner, osOptionsStruc::serviceLocation, osOptionsStruc::serviceMethod, setyyextra(), osOptionsStruc::solverName, and osOptionsStruc::writeVersion.

Referenced by main().

int main | ( | int | argc,
|  | char ** | argv |
| ) |  |  |

Definition at line 141 of file OSAmplClient.cpp.

References DefaultSolver::buildSolverInstance(), OSnl2osil::createOSInstance(), ErrorClass::errormsg, getAmplClientOptions(), OSResult::getConstraintNumber(), OSInstance::getNumberOfBinaryVariables(), OSInstance::getNumberOfIntegerVariables(), OSInstance::getNumberOfNonlinearExpressions(), OSInstance::getNumberOfQuadraticTerms(), OSResult::getOptimalDualVariableValues(), OSResult::getOptimalPrimalVariableValues(), OSResult::getVariableNumber(), DefaultSolver::osinstance, OSnl2osil::osinstance, osinstance, DefaultSolver::osol, osresult, DefaultSolver::osrl, OSrLReader::readOSrL(), OSResult::setGeneralMessage(), OSResult::setGeneralStatusType(), OSSolverAgent::solve(), DefaultSolver::solve(), DefaultSolver::sSolverName, FileUtil::writeFileFromString(), OSiLWriter::writeOSiL(), and OSrLWriter::writeOSrL().